mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Reflection.TypeInfo System.Runtime.InteropServices._EnumBuilder System.Runtime.InteropServices.ClassInterface(System.Runtime.InteropServices.ClassInterfaceType.None) System.Runtime.InteropServices.ComDefaultInterface(typeof(System.Runtime.InteropServices._EnumBuilder)) System.Runtime.InteropServices.ComVisible(true)

In the .NET Framework versions 1.0 and 1.1, it is necessary to define enumerations using because emits enumerations whose elements are of type instead of the enumeration type. In the .NET Framework version 2.0, emits enumerations whose elements have the correct type.

Describes and represents an enumeration type.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Assembly To be added. To be added.

  Retrieves the dynamic assembly that contains this enum definition.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added.

  The format of the returned string is:

  <FullTypeName>, <AssemblyDisplayName>

  See for a description of the format of the display name of an assembly.

  ## Version Information

  In the .NET Framework version 1.1 and earlier, the return value of this property did not include the culture or public key.

  Returns the full path of this enum qualified by the display name of the parent assembly.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type To be added. To be added.

  Returns the parent of this type which is always .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type To be added

  Creates a object for this enum.

  A object for this enum.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type To be added. To be added.

  Returns the type that declared this .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.FieldBuilder `` ``

  The defined field will have the field attributes , , and set.

  In the .NET Framework versions 1.0 and 1.1, it is necessary to define enumerations using because emits enumerations whose elements are of type instead of the enumeration type. In the .NET Framework version 2.0, emits enumerations whose elements have the correct type.

  Defines the named static field in an enumeration type with the specified constant value.

  The defined field.

  The name of the static field. The constant value of the literal.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added.

  The returned format is "enclosingTypeFullName+nestedTypeName" for nested types and "typeName" for non-nested types.

  Returns the full path of this enum.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.TypeAttributes To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.ConstructorInfo `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(true)
  System.Reflection.ConstructorInfo[] ``

  As a workaround, to retrieve the constructor of a finished type, you can retrieve the type using or and use reflection on the retrieved type.

  Returns an array of objects representing the public and non-public constructors defined for this class, as specified.

  Returns an array of objects representing the specified constructors defined for this class. If no constructors are defined, an empty array is returned.

  This must be a bit flag from : InvokeMethod, NonPublic, and so on.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object[] ``

  As a workaround, to retrieve the custom attributes of a finished type, retrieve the type using and call on the returned .

  The following code sample illustrates the use of GetCustomAttribute in the context of .

  code reference: EnumBuilder_SetCustomAttribute2#1

  Returns all the custom attributes defined for this constructor.

  Returns an array of objects representing all the custom attributes of the constructor represented by this instance.

  Specifies whether to search this member's inheritance chain to find the attributes.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object[] `` ``

  As a workaround, to retrieve the custom attributes of a finished type, retrieve the type using and call on the returned .

  The following code sample illustrates the use of GetCustomAttribute in the context of .

  code reference: EnumBuilder_SetCustomAttribute1#2

  Returns the custom attributes identified by the given type.

  Returns an array of objects representing the attributes of this constructor that are of .

  The Type object to which the custom attributes are applied. Specifies whether to search this member's inheritance chain to find the attributes.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type To be added.

  Calling this method always throws .

  This method is not supported. No value is returned.

- Method
  4.0.0.0
  System.Type To be added.

  Returns the underlying integer type of the current enumeration, which is set when the enumeration builder is defined.

  The underlying type.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.EventInfo `` ``

  As a workaround, to retrieve the event of a finished type, retrieve the type using or and use reflection on the retrieved type.

  Returns the event with the specified name.

  Returns an object representing the event declared or inherited by this type with the specified name. If there are no matches, null is returned.

  The name of the event to get. This invocation attribute. This must be a bit flag from : InvokeMethod, NonPublic, and so on.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.EventInfo[]

  As a workaround, to retrieve the events of a finished type, retrieve the type using or and use reflection on the retrieved type.

  Returns the events for the public events declared or inherited by this type.

  Returns an array of objects representing the public events declared or inherited by this type. An empty array is returned if there are no public events.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.EventInfo[] ``

  As a workaround, to retrieve the events of a finished type, retrieve the type using or and use reflection on the retrieved type to retrieve the events.

  Returns the public and non-public events that are declared by this type.

  Returns an array of objects representing the public and non-public events declared or inherited by this type. An empty array is returned if there are no events, as specified.

  This must be a bit flag from , such as InvokeMethod, NonPublic, and so on.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.FieldInfo `` ``

  As a workaround, to retrieve the field of a finished type, retrieve the type using or and use reflection on the retrieved type.

  Returns the field specified by the given name.

  Returns the object representing the field declared or inherited by this type with the specified name and public or non-public modifier. If there are no matches, then null is returned.

  The name of the field to get. This must be a bit flag from : InvokeMethod, NonPublic, and so on.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.FieldInfo[] ``

  As a workaround, to retrieve the field of a finished type, retrieve the type using or and use reflection on the retrieved type.

  The method does not return fields in a particular order, such as alphabetical or declaration order. Your code must not depend on the order in which fields are returned, because that order can vary.

  Returns the public and non-public fields that are declared by this type.

  Returns an array of objects representing the public and non-public fields declared or inherited by this type. An empty array is returned if there are no fields, as specified.

  This must be a bit flag from , such as InvokeMethod, NonPublic, and so on.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type `` ``

  As a workaround, to retrieve the interface of a finished type, retrieve the type using or and use reflection on the retrieved type.

  Returns the interface implemented (directly or indirectly) by this type, with the specified fully-qualified name.

  Returns a object representing the implemented interface. Returns null if no interface matching name is found.

  The name of the interface. If true, the search is case-insensitive. If false, the search is case-sensitive.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(true)
  System.Reflection.InterfaceMapping ``

  As a workaround, to retrieve the interface mapping types of a finished type, retrieve the type using or and use reflection on the retrieved type.

  Returns an interface mapping for the interface requested.

  The requested interface mapping.

  The type of the interface for which the interface mapping is to be retrieved.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type[]

  As a workaround, to retrieve the interface of a finished type, retrieve the type using or and use reflection on the retrieved type.

  Returns an array of all the interfaces implemented on this a class and its base classes.

  Returns an array of objects representing the implemented interfaces. If none are defined, an empty array is returned.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MemberInfo[] `` `` ``

  As a workaround, to retrieve the member of a finished type, retrieve the type using or and use reflection on the retrieved type.

  Returns all members with the specified name, type, and binding that are declared or inherited by this type.

  Returns an array of objects representing the public and non-public members defined on this type if is used; otherwise, only the public members are returned.

  The name of the member. The type of member that is to be returned. This must be a bit flag from : InvokeMethod, NonPublic, and so on.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MemberInfo[] ``

  As a workaround, to retrieve the members of a finished type, retrieve the type using or and use reflection on the retrieved type.

  Returns the specified members declared or inherited by this type,.

  Returns an array of objects representing the public and non-public members declared or inherited by this type. An empty array is returned if there are no matching members.

  This must be a bit flag from : InvokeMethod, NonPublic, and so on.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodInfo `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodInfo[] ``

  As a workaround, to retrieve the methods of a finished type, retrieve the type using or and use reflection on the retrieved type.

  Returns all the public and non-public methods declared or inherited by this type, as specified.

  Returns an array of objects representing the public and non-public methods defined on this type if is used; otherwise, only the public methods are returned.

  This must be a bit flag from , such as InvokeMethod, NonPublic, and so on.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type `` ``

  As a workaround, to retrieve the nested type of a finished type, retrieve the type using or and use reflection on the retrieved type.

  Returns the specified nested type that is declared by this type.

  A object representing the nested type that matches the specified requirements, if found; otherwise, null.

  The containing the name of the nested type to get. A bitmask comprised of one or more that specify how the search is conducted.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type[] ``

  As a workaround, to retrieve the nested types of a finished type, retrieve the type using or and use reflection on the retrieved type.

  Returns the public and non-public nested types that are declared or inherited by this type.

  An array of objects representing all the types nested within the current that match the specified binding constraints.

  An empty array of type , if no types are nested within the current , or if none of the nested types match the binding constraints.

  This must be a bit flag from , such as InvokeMethod, NonPublic, and so on.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.PropertyInfo[] ``

  As a workaround, to retrieve the properties of a finished type, retrieve the type using or and use reflection on the retrieved type.

  Returns all the public and non-public properties declared or inherited by this type, as specified.

  Returns an array of objects representing the public and non-public properties defined on this type if is used; otherwise, only the public properties are returned.

  This invocation attribute. This must be a bit flag from : InvokeMethod, NonPublic, and so on.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.PropertyInfo `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Guid To be added. To be added.

  Returns the GUID of this enum.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` `` `` `` `` `` `` ``

  You can retrieve the type using or and use reflection on the retrieved type.

  Invokes the specified member. The method that is to be invoked must be accessible and provide the most specific match with the specified argument list, under the contraints of the specified binder and invocation attributes.

  Returns the return value of the invoked member.

  The name of the member to invoke. This can be a constructor, method, property, or field. A suitable invocation attribute must be specified. Note that it is possible to invoke the default member of a class by passing an empty string as the name of the member. The invocation attribute. This must be a bit flag from BindingFlags. An object that enables the binding, coercion of argument types, invocation of members, and retrieval of MemberInfo objects using reflection. If binder is null, the default binder is used. See . The object on which to invoke the specified member. If the member is static, this parameter is ignored. An argument list. This is an array of objects that contains the number, order, and type of the parameters of the member to be invoked. If there are no parameters this should be null. An array of the same length as with elements that represent the attributes associated with the arguments of the member to be invoked. A parameter has attributes associated with it in the metadata. They are used by various interoperability services. See the metadata specs for details such as this. An instance of CultureInfo used to govern the coercion of types. If this is null, the CultureInfo for the current thread is used. (Note that this is necessary to, for example, convert a string that represents 1000 to a double value, since 1000 is represented differently by different cultures.) Each parameter in the array gets the value in the corresponding element in the array. If the length of is greater than the length of , the remaining argument values are passed in order.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` To be added.

  Gets a value that indicates whether a specified object can be assigned to this object.

  true if can be assigned to this object; otherwise, false.

  The object to test.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added. To be added. To be added.
- Property
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets a value that indicates whether this object represents a constructed generic type.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` ``

  As a workaround, to check if a custom attribute is defined for a finished type, retrieve the type using and call on the returned .

  Checks if the specified custom attribute type is defined.

  true if one or more instance of is defined on this member; otherwise, false.

  The Type object to which the custom attributes are applied. Specifies whether to search this member's inheritance chain to find the attributes.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Type To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Type `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Type To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Type To be added. To be added. To be added.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Module To be added. To be added.

  Retrieves the dynamic module that contains this definition.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added. To be added.

  Returns the name of this enum.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added. To be added.

  Returns the namespace of this enum.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type To be added. To be added.

  Returns the type that was used to obtain this .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Sets a custom attribute using a custom attribute builder.

  An instance of a helper class to define the custom attribute.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(true)
  System.Void `` ``

  See the metadata specification in the ECMA Partition II documentation for details on how to format . The documentation is available online; see ECMA C# and Common Language Infrastructure Standards on MSDN and Standard ECMA-335 - Common Language Infrastructure (CLI) on the Ecma International Web site.

  Sets a custom attribute using a specified custom attribute blob.

  The constructor for the custom attribute. A byte blob representing the attributes.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code. For more information about IDispatch::GetTypeInfo, see the MSDN Library.

  Retrieves the type information for an object, which can then be used to get the type information for an interface.

  The type information to return. The locale identifier for the type information. Receives a pointer to the requested type information object.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.RuntimeTypeHandle To be added.

  You can retrieve the type using or and use reflection on the retrieved type.

  Use this handle to access the underlying metadata handle.

  Retrieves the internal handle for this enum.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.TypeToken To be added: an object of type 'TypeToken' To be added

  Returns the internal metadata type token of this enum.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.FieldBuilder To be added: an object of type 'FieldBuilder' To be added

  Returns the underlying field for this enum.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type To be added. To be added.

  Returns the underlying system type for this enum.